Bug 1413001 - (CVE-2017-2584) CVE-2017-2584 Kernel: kvm: use after free in complete_emulated_mmio
CVE-2017-2584 Kernel: kvm: use after free in complete_emulated_mmio
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170111,reported=2...
: Security
Depends On: 1413002
Blocks: 1412321
  Show dependency treegraph
 
Reported: 2017-01-13 06:30 EST by Prasad J Pandit
Modified: 2017-04-10 11:47 EDT (History)
37 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-10 11:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-01-13 06:30:34 EST
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable to a use after free flaw. It could occur on x86 platform,
when emulating instructions fxsave, fxrstor, sgdt, etc.

A user/process could use this flaw to crash the host kernel resulting in DoS.

Upstream patch:
---------------
  -> https://www.spinics.net/lists/kvm/msg143571.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/13/7
Comment 1 Prasad J Pandit 2017-01-13 06:32:08 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1413002]
Comment 6 Prasad J Pandit 2017-03-31 05:46:28 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with
Red Hat Enterprise Linux 7.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/

Note You need to log in before you can comment on or make changes to this bug.